"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.roundByDPR = void 0;
const getDPR_1 = require("./getDPR");
function roundByDPR(element, value) {
    const dpr = (0, getDPR_1.getDPR)(element);
    return Math.round(value * dpr) / dpr;
}
exports.roundByDPR = roundByDPR;
//# sourceMappingURL=roundByDPR.js.map