import { FunctionComponent } from "preact";
import { FeedbackScoreSubmission, FeedbackSubmission, FeedbackTranslations } from "./types";
type FeedbackFormProps = {
    t: FeedbackTranslations;
    question: string;
    scoreState: "idle" | "submitting" | "submitted";
    openWithCommentVisible: boolean;
    onInteraction: () => void;
    onSubmit: (data: Omit<FeedbackSubmission, "feebackId">) => Promise<void> | void;
    onScoreSubmit: (score: Omit<FeedbackScoreSubmission, "feebackId">) => Promise<void> | void;
};
export declare const FeedbackForm: FunctionComponent<FeedbackFormProps>;
export {};
