"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLatestRef = void 0;
const hooks_1 = require("preact/hooks");
function useLatestRef(value) {
    const ref = (0, hooks_1.useRef)(value);
    (0, hooks_1.useLayoutEffect)(() => {
        ref.current = value;
    });
    return ref;
}
exports.useLatestRef = useLatestRef;
//# sourceMappingURL=useLatestRef.js.map